1
vote
0answers
18 views

How to make aptitude recognize Oracle Java as a valid java dependancy

I have Oracle Java 7 on my Debian. I want to install tomcat server using aptitude, but it keeps trying to install icedtea, and unnecessary java related packages, is it possible for aptitude to know ...
1
vote
2answers
90 views

Why do I get Hash Sum mismatch error when trying to install mono on debian

I am following the mono installation tutorial. First I add repo to list, then I import key and finally I try to update the repos. On last step I get error: W: Failed to fetch ...
4
votes
3answers
73 views

SSH pipe broke while running apt upgrade. What can I do about it?

I was connected to my aws debian wheezy server and while running apt-get upgrade the ssh pipe broke. I didn't use screen or anything, so I don't think there's a way to recover that session. If I ...
1
vote
1answer
94 views

Can't install Python3 package in Debian 7

I get error while installing python3 in Debian 7 (I have all updates installed): root@nuclight:~# aptitude install python3 The following NEW packages will be installed: python3 python3.2{a} 0 ...
2
votes
1answer
25 views

Force installation of doc packages

I often find myself missing documentation when I happen to be offline. For this reason, I would like to force aptitude to install the corresponding doc packages whenever I install a package. Is there ...
0
votes
1answer
447 views

Why is my /etc/apt/sources.list set to squeeze when I have debian wheezy?

I have set up a few new debian boxes which were installed with debian wheezy (7.1). I set them up and upgraded to the current stable release: $ cat /etc/debian_version 7.6 If I look at my ...
0
votes
0answers
32 views

Debian system: install specific packages from source automatically to boost the performance

On Debian /Ubuntu systems, how to set a list of packages which can be installed from sources automatically by apt-get or aptitude? The server is mainly for scientific computing and I would like to ...
1
vote
2answers
74 views

can I get a list of the debian packages I installed AFTER the OS installation?

Extending this question, I would like to ask, if there is a general term that groups all the packages that I have installed POST debian installation? Mind you that for clarity purposes, I refer to ...
3
votes
1answer
229 views

Is there apt-get for windows?

If it was windows machine that had no internet connection, what I would do is downloading the installers/programs on another computer, putting them on a portable media, copying them on the ...
1
vote
1answer
201 views

debian: aptitude install sshfs > Couldn't find any package whose name [closed]

Why aptitude don’t found sshfs? And how can I install sshfs via aptitude? Pleas, without 3rd-Partys. https://packages.debian.org/en/wheezy/sshfs I typed this: root@s18:~# aptitude update Hit ...
4
votes
1answer
451 views

apt-get doesn't upgrade openssl on debian 7

I'm facing the following problem. If I run the command sudo apt-get upgrade, I get: Reading package lists... Done Building dependency tree Reading state information... Done The following ...
2
votes
1answer
485 views

Are All The Packages Included On The Debian DVD/CD Images Or Just The Most Popular?

My understanding is that Debian and all the software available in the matching online repo (eg: https://packages.debian.org/stable/allpackages) are released together on a series of disc images ...
1
vote
2answers
662 views

dependency error when run apt-get -f install in debian squeeze

I can't install or remove packages in Debian. When I type apt-get -f install to fix the problem I get this error: Reading package lists... Done Building dependency tree Reading state ...
4
votes
1answer
179 views

aptitude: Meaning of curly brackets, i.e. package1{b} package2{a} package3{u}

When using aptitude, the list of changed packages sometimes has a single character in curly brackets behind some package names. The man-page has two examples of them but does not explain them (version ...
0
votes
1answer
327 views

Bare-bones linux? [closed]

I am working on a homemade OS and I was originally going to write it myself in Assembly and Python, but I decided that doing this would just be easier, faster, and more Linux-y. I have the Python part ...
4
votes
1answer
121 views

How to de-select packages of a certain architecture in aptitude

I'm upgrading some Debian machines from i386 arch to amd64. The process is fairly straitforward: Boot a amd64 kernel For libraries which are multiarch-capable, install their amd64 companion ...
1
vote
1answer
284 views

How to pull dependencies for package/testing from testing

Trying to install a newer version of libav-tools from testing to my otherwise debian-stable installation. I have testing in my sources.list and my preferences look like: Package: * Pin: release ...
1
vote
2answers
190 views

What is the equivalent of apt-key in aptitude?

I'm trying to avoid apt-* commands and trying to use aptitude for all my Debian systems. In my documentations, there is a command written as sudo apt-key add key.asc. How do I convert apt-key add ...
1
vote
0answers
62 views

Aptitude - uninstalling autoinstalled packages that are recommended by other packages

I am running a Debian Wheezy install on a system where space is tight. Hence, I've turned off the "Automatically install recommended packages" option. The problem occurs if I install a package which ...
0
votes
2answers
3k views

Get errors when aptitude update

I get the following errors when aptitude update. These errors are after non-error updates. What do I do to fix this, but not remove the ppas, etc? Err http://ppa.launchpad.net Packages 404 Not ...
0
votes
2answers
628 views

How can I install Bastille on a recent version of Debian?

To the best of my ability, I have looked everywhere in order to find a .deb file however even on its own website (bastille-linux.org) it is recommended to use aptitude which no longer seem to contain ...
0
votes
1answer
55 views

Old Debian packages install sources

I'm trying to install make program using aptitude install make in my Debian. Unfortunately I have error : Err http://debian.balt.net lenny/main make 3.81-5 404 NotFound What I need to do to make ...
2
votes
1answer
357 views

sources.list - Understanding syntax & structure in Debian

I have generated a sources.list file from http://debgen.simplylinux.ch/ with the following parameters: Country: New Zealand Release: Stable (Wheezy) Architecture: 64 bits Sources: Main + Security + ...
3
votes
1answer
86 views

Why do I need to add a GPG-key with apt-key before adding URL to sources.list and download-installing an application with apt-get?

I went on to download an application today. It had it's instructions listed, step by step, number one being: adding a GPG-key with apt-key. It was followed by adding the application to apt/sources and ...
8
votes
2answers
4k views

What packages are installed by default in Debian? Is there a term for that set? Why some of those packages are `automatically installed` and some not?

It's a very simple question, but I wonder, is there a term to refer to the subset of packages that is automatically installed by Debian distribution? I though that it had something to do with ...
1
vote
2answers
273 views

Uninstalling software packages, without removing the downloaded .deb in apt-cache?

Currently I am running Wheezy 32-bit, and recently I installed FreeSWITCH from the official repos. However, I realized that for the purpose I had in mind, I needed to rebuild FreeSWITCH myself, from ...
-2
votes
3answers
1k views

Can't install software in Debian 6

I installed Debian 6 Squeez on my virtual machine and I can't install software using aptitude or apt-get. This is my sources.list file: root@debian:/etc/apt# cat sources.list # # deb cdrom:[Debian ...
4
votes
1answer
595 views

Output visual (ASCII) Debian dependency tree to terminal?

I'm not sure if this is more of a SuperUser or UnixLinux question, but I'll try here... Recently, I found this: #710689 - aptitude: use unicode character in the trees - Debian Bug report logs It ...
1
vote
1answer
120 views

How to tell aptitude to automatically install missing packages instead of removing ones to statisfy dependencies?

I'm creating a live CD with Skype using live-build. During the build process I run the following script: # Download the Skype package suitable for Squeeze wget --continue -O skype-install.deb \ ...
2
votes
1answer
408 views

Can't Install netflix-desktop in Debian…Aptitude Has Unmet/Broken Dependencies

I'm trying to install the netflix-desktop package in Debian 'jessie'. I was able to get this to work on my laptop running Debian 'wheezy' a few months ago, but on my desktop I keep running into these ...
3
votes
1answer
3k views

How to deal with a package “not upgraded” using aptitude?

I'm (still) on Debian Squeeze. When I try to upgrade the system, here's what I get: [09:20]/root# aptitude upgrade No packages will be installed, upgraded, or removed. 0 packages upgraded, 0 newly ...
4
votes
2answers
4k views

Can I rollback an apt-get upgrade if something goes wrong?

Is there a way, before starting an aptitude upgrade or apt-get upgrade, to set up something so that you can "easily" rollback your system to the "apt" state it was before the actual upgrade, if ...
0
votes
1answer
367 views

How to remove metapackage entirely in Debian

Is there any way to remove meta package and all its packages? Subset of metapackage is packages which don't depend on metapackage by all means. That's why if remove one metapackage only the package's ...
2
votes
1answer
1k views

apt-get won't install: dpkg: files list for package 'gnome-themes-standard-data' is not a regular file

I'm trying to install packages to get a webcam stream running on my raspberry pi. All of a sudden, apt-get is totally busted -- every time I try to install, reinstall or purge something that might fix ...
3
votes
2answers
3k views

How do I update my Debian kernel?

Essentially I have an Ubuntu laptop and a board running Debian. I have installed the same kernel module and a utility for managing it on each, using aptitude. Unfortunately, the versions of the ...
2
votes
2answers
782 views

Upgrade a single package from a target release

In Debian Squeeze I have installed a packageX from debian-backports. Q1: When I apt-get dist-upgrade or aptitude full-upgrade, what release is checked for updates for packageX? debian-backports or ...
3
votes
2answers
623 views

How to run a command after apt-get upgrade

Recently I came across the nice checkrestart tool, that checks if running processes use an outdated version of a recently updated library and would need a restart to load them with the updated lib. At ...
1
vote
2answers
471 views

aptitude remove pkg_name* not working like apt-get

I have uninstalled (aptitude purge) the qt-sdk package but there is still a lot of qt4* and libqt* packages on my system. Is there a way to remove all these packages with aptitude remove/purge ...
4
votes
1answer
3k views

How do I fix these broken dependencies?

aptitude tells me I have some packages with broken dependencies: kmiller@debian-dev-box:~$ sudo aptitude search '.*' | grep ^.B iB console-setup-linux - Linux specific part of ...
1
vote
1answer
81 views

Understanding aptitude's behavior on a machine with multiple archives enabled

I'm having to deal with a Debian server, which initially was Squeeze, I believe, but where administrator enabled several distributions: deb http://mirror.yandex.ru/debian/ stable main contrib ...
2
votes
1answer
162 views

Aptitude Search reports package installed, while Aptitude Show reports it not installed - how is that possible?

me@friedly_server:~$ aptitude search samba-tools i samba-tools - Samba testing utilities me@friendly_server:~$ aptitude show samba-tools ...
3
votes
1answer
654 views

Trying to use multiple Debian repositories

General situation: I need to port a Qt project from MS Visual Studio 2010 to Linux (Debian). In VS 2010 I have Qt v.4.8.1, but in Debian it is Qt v.4.6.1. This difference prevents me from porting, as ...
2
votes
2answers
208 views

Automatic package is installed, but aptitude doesn't find any rdependencies. What am I doing wrong?

I have a package lm-sensors automatically installed on my Ubuntu 10.04, but can't find packages, that depend on it: $ aptitude show lm-sensors Package: lm-sensors New: yes State: installed ...
1
vote
1answer
204 views

How to purge package in debian without affecting other packages?

I had mysql-server-5.1 installed, then upgraded to mysql-server-5.5 and now upgraded to percona server (package percona-server-server-5.5). So now I have 2 mysql-server packages removed, but not ...
4
votes
4answers
167 views

Is it possible to determine what is inside Debian package without installing it?

I need a markdown library for development - based on package names I could not understand which one I should install... den@playground:~$ sudo aptitude search markdown p html2markdown ...
7
votes
1answer
610 views

Debian: How to delay configuration when installing/upgrading?

One of my Debian systems is rarely upgraded. So when it is time to upgrade, there are loads of packages. Right now I basically have to monitor the upgrade, because every 50 packages or so there is a ...
5
votes
2answers
761 views

How do I find installed packages that have no install candidate?

I'd like to retrieve a list of installed packages that have no install candidate (e.g., because I removed an apt source file entry). How would I do that on Debian-based systems?
4
votes
3answers
161 views

Using apt or aptitude to get version information about an uninstalled package?

I'm looking to install a package, but I'd like to make sure that I can't get a more recent version than, e.g., a PPA. Is there an aptitude or apt-get command that will enable me to input a package ...
9
votes
4answers
926 views

How can I reliably “hold” a package in Debian?

I have a package in Debian that has been manually patched (not ideal, I know) that I must hold at its current version so upgrades don't overwrite the patched changes (I will manually inspect and apply ...
3
votes
4answers
9k views

debian: Remove or reinstall package in a very bad inconsistent state

I'm having a package management problem: At some point, I must have interrupted an update or something, because the bluez package has broken. I've tried removing and/or reinstalling, but I get ...